import math

f = lambda x, a, b, c, d: a / (1 + math.exp(-b - c * x - d * x * x))

def func1(a, b, c, d):
    """
    Рассчитывает значения анонимной функции в диапазоне значений входного параметра х:  -20 ≤ x ≤ 20 
    с шагом 2 при некоторых положительных значениях параметров a,b,c,d. 
    """
    res = []
    for x in range(-20, 21, 2): 
        res.append(f(x, a, b, c, d))
    return res


def wf (data, filename):
    """
    Записывает данные в файл по 3 значения в строке
    """
    with open(filename, 'w') as file:
        i = 0
        while i < len(data):
            a = data[i:i+3]
            s = list(map(str, a))
            file.write(" ".join(s) + "\n")
            i += 3 